<?php

class EncryptHelper
{
    /**
     * Function for encrypt information
     * @param string $value information that should be encrypted
     * @return encrypted string
     */
    public  static function encrypt($value, $withUrl = true){
        $result = Yii::app()->securityManager->encrypt($value, Yii::app()->securityManager->getEncryptionKey());
        if($withUrl){
            $result = urlencode($result);
        }
        return $result;
    }
    /**
     * Function for decrypt information
     * @param string $value information that should be decrypted
     * @return decrypted string
     */
    public  static function decrypt($value, $withUrl = true){
        try{
            $result = $value;
            if($withUrl){
                $result = urldecode($value);
            }
            $result =  Yii::app()->securityManager->decrypt($result, Yii::app()->securityManager->getEncryptionKey());
        }catch (Exception $e){
            $result = false;
        }
        return $result;
    }
}