<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * Like module class file.
 */
class BulkModule extends CWebModule
{
    private $_assetsUrl;

    /**
     * Initialize widget. Import like models.
     *
     * @return void
     */
    public function init()
    {
        // import the module-level models and components
        $this->setImport(
            array(
                'bulk.models.*',
                'bulk.extensions.php-faker.Faker',
                'like.models.*',
                'comments.models.*',
                'user.models.*'
            )
        );
    }

    /**
     * Translates a message to the specified language.
     *
     * @param string $str    message
     * @param array  $params params
     * @param string $dic    dictionary
     *
     * @return string
     */
    public static function t($str = '', $params = array(), $dic = 'bulk')
    {
        return Yii::t("BulkModule." . $dic, $str, $params);
    }

    public function getAssetsUrl()
    {
        if (!$this->_assetsUrl) {
            $this->_assetsUrl = Yii::app()->assetManager->publish(Yii::getPathOfAlias('bulk.views.asset'), true);
        }
        return $this->_assetsUrl;
    }
}
