<?php

class EditorController extends Controller
{
	public function filters()
	{
		return array(
			'accessControl',
		);
	}
	public function accessRules()
	{
		return array(
			array('allow', // allow authenticated user to perform 'create' and 'update' actions
				'users'=>array('*'),
			),
			//array('deny',  // deny all users
			//	'users'=>array('*'),
			//),
		);
	}
	
	public function actionInit()
	{
		$response = array();
		$response['assetsPath'] = $this->module->assetsPath;
		FGHelper::sendJSON($response);
	}
	
	public function actionLoadLibrary()
	{
		$templatesModel = FGTemplates::model()->findAll('user=:uid OR global = 1', array(':uid'=>Yii::app()->user->id));
		$templates = array(
			'global'=>array(),
			'user'=>array()
		);
		foreach($templatesModel as $tpl) {
			$templates[ $tpl->global? 'global' : 'user' ][] = array(
				'id' => $tpl->id,
				'name' => $tpl->name
			);
		}
		FGHelper::sendJSON(array(
			'templates' => $templates
		));
	}

	public function actionLoadForm()
 	{
 		if(isset($_POST['id']))
 		{
 			$model = FGForms::model()->findByPk((int)$_POST['id']);
 			// correct ID in JSON
 			$model->json = str_replace('"id": 0,', '"id": '.$model->id.',', $model->json);
 			
 			if($model) {
 				FGHelper::sendJSON(array(
 					'id'=>$model->id,
 					'name'=>$model->name,
 					'json'=>$model->json
 				));
 				exit;
 			} else {
 				throw new CHttpException(404, "No Form found");
 			}
 		}
 		else
 		{
 			throw new CHttpException(500, "No Form id provided");
 		}
 	}

	public function actionLoadTemplate()
	{
		if(isset($_POST['id']))
		{
			$model = FGTemplates::model()->findByPk((int)$_POST['id'], 'user=:uid OR global = 1', array(':uid'=>Yii::app()->user->id));
			if($model) {
				FGHelper::sendJSON(array(
					'name'=>$model->name,
					'json'=>$model->json
				));
			} else {
				throw new CHttpException(404, "No template found");
			}
		}
		else
		{
			throw new CHttpException(500, "No template id provided");
		}
	}
	
	/**
	 * @desc save template
	 */
	public function actionSaveTemplate()
	{
		if(isset($_POST['json']))
		{
			$model = new FGTemplates();
			$model->setAttributes($_POST);
			$model->user = Yii::app()->user->id;
			if($model->save())
			{
				FGHelper::sendJSON(array(
					'id'=>$model->id,
					'name'=>$model->name
				));
			}
			else
			{
				throw new CHttpException(500, CActiveForm::validate($model));
			}
		}
		else
		{
			throw new CHttpException(500, "No JSON provided");
		}
	}
	
	/**
	 * @desc save form
	 */
	public function actionSave()
	{
		if(count($_POST))
		{
			$response = array();
			$model = new FGForms();
			$model->setAttributes($_POST);
			$model->user = Yii::app()->user->id;
			$model->thankyoupage = $_POST['thankyoupage'];
			$model->nextpage = $_POST['nextpage'];
			$model->prevpage = $_POST['prevpage'];

 			if (!empty($_POST['id']) && $_POST['id'] != "" && $_POST['id'] != "0"){
 				if($model->updateByPk((int)$_POST['id'],
 							array(	"name" => 	$_POST['name'],
 									"json" =>	$_POST['json'],
 									"html" => 	$_POST['html'],
									"thankyoupage" => $_POST['thankyoupage'],
									"nextpage" => $_POST['nextpage'],
									"prevpage" => $_POST['prevpage']
 							)
 						))
 				{
 					$response['status'] = true;
 					$response['id'] = $_POST['id'];
 				}
 				else
 				{
 					$response['status'] = false;
 					$response['errors'] = $model->getErrors();
 				}
 
 			} else {
 				if($model->save())
 				{
 					$response['status'] = true;
 					$response['id'] = $model->id;
 				}
 				else
 				{
 					$response['status'] = false;
 					$response['errors'] = $model->getErrors();
 				}
			}
		}
		else
		{
			throw new CHttpException(500, "No JSON provided");
		}
		FGHelper::sendJSON($response);
	}
}
