<?php
/**
 *
 */
$user_id = Yii::app()->user->id;
?>


<div class="friends-friends-list-widget">
    <a name="FriendsListWidget"></a>
    <?php if ($message = Yii::app()->user->getFlash('friends-success')): ?>
    <div class="success">
        <?php echo $message?>
    </div>
    <?php endif?>
    <?php if ($message = Yii::app()->user->getFlash('friends-error')): ?>
    <div class="error">
        <?php echo $message?>
    </div>
    <?php endif?>
    <table>
        <tr>
            <th><?php echo User::model()->getAttributeLabel('username')?></th>
            <th><?php echo Profile::model()->getAttributeLabel('firstname')?></th>
            <th><?php echo Profile::model()->getAttributeLabel('lastname')?></th>
            <th></th>
        </tr>
        <?php foreach ($friendships as $friendship):
        $friend = $friendship->friend($user_id);

        ?>
        <tr>
            <td>
                <?php echo $friend->username ?>
            </td>
            <td>
                <?php echo $friend->profile->firstname ?>
            </td>
            <td>
                <?php echo $friend->profile->lastname ?>
            </td>
            <td>
                <?php if ($friendship->status == Friendship::STATUS_APPROVED): ?>
                <div><?php echo FriendsModule::t('Friends')?></div>
                <?php else: ?>
                <div>
                    <?php if ($friendship->myRequest($user_id)): ?>
                    <div>
                        <div><?php echo FriendsModule::t('Waiting')?>...</div>
                    </div>
                    <?php else: ?>
                    <div>
                        <?php echo CHtml::beginForm(Yii::app()->createUrl('/friends/friends/approve', array('return_url' => Yii::app()->request->getRequestUri() . '#FriendsListWidget')), 'GET')?>
                        <input type="hidden" name="user_id" value="<?php echo $friend->id?>">
                        <input type="hidden" name="key"
                               value="<?php echo FriendsModule::encrypting($friend->id)?>"
                            >
                        <?php echo CHtml::submitButton(FriendsModule::t('Approve'))?>
                        <?php echo CHtml::endForm()?>
                    </div>
                    <?php endif ?>
                </div>
                <?php endif ?>
            </td>
            <td>
                <?php if ($friendship->status != Friendship::STATUS_CANCELED): ?>
                <?php echo CHtml::beginForm(Yii::app()->createUrl('/friends/friends/cancel', array('return_url' => Yii::app()->request->getRequestUri() . '#FriendsListWidget')), 'GET') ?>
                <input type="hidden" name="user_id" value="<?php echo $friend->id?>">
                <input type="hidden" name="key"
                       value="<?php echo FriendsModule::encrypting($friend->id)?>"
                    >
                <?php echo CHtml::submitButton(FriendsModule::t('Cancel')) ?>
                <?php echo CHtml::endForm() ?>
                <?php endif?>
            </td>
        </tr>
        <?php endforeach;?>
    </table>
</div>