<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
?>

<?php if(Yii::app()->user->hasFlash('itemAdded')): ?>
<div class="flash-success">
	<?php echo Yii::app()->user->getFlash('itemAdded'); ?>
</div>
<?php endif; ?>

<?php Yii::app()->controller->renderMail('shoppingcart.views.mail_templates.adminemail_template', 'asd', array('items' => array(),'user' => new User),true);
	$form = $this->beginWidget('CActiveForm', array(
    'id'=>'item-form-'.EncryptHelper::decrypt($model->item_id),
    'focus'=>array($model,'title'),
	'htmlOptions'=>array('class'=>'shop'),
    'action'=>array('/shoppingcart/item/add')
));

?>

<div class="shoppingcart_item">

    <div class="row title">
        <span>
            <?php echo ShoppingcartModule::t($titleVisible); ?>
        </span>
        <span>
            <?php echo Item::addCurrency($priceVisible); ?>
        </span>
    </div>

    <label for="count"><?php echo ShoppingcartModule::t('Quantity to add');?></label>
	<?php echo $form->textField($model,'quantity',array('class'=>'positiveNumbersOnly', 'maxlength'=>3,'size'=>5)); ?>
    <?php /*
    <div class="row quantity">
        <?php echo $form->textField($model,'quantity',array('class'=>'positiveNumbersOnly', 'autocomplete' => 'off', 'maxlength'=>3)); ?>
        <?php echo $form->error($model,'quantity'); ?>
    </div>
*/ ?>
    <div class="row">
        <?php echo $form->hiddenField($model,'title'); ?>
        <?php echo $form->hiddenField($model,'price'); ?>
        <?php echo $form->hiddenField($model,'admin_email'); ?>
        <?php echo $form->hiddenField($model,'item_id'); ?>
        <?php echo $form->hiddenField($model,'page_id'); ?>
        <?php echo $form->hiddenField($model,'item_referrer'); ?>
        <?php echo CHtml::hiddenField('shoppingcart_link',$this->shoppingcart_link); ?>
        <?php echo CHtml::hiddenField('checksum',$checksum); ?>
    </div>
<?php /*
    <div class="row added_alert">&nbsp;
        <span class="alert">
            <?php echo ShoppingcartModule::t('Successfully added'); ?>
        </span>
    </div>
*/ ?>
    <?php echo CHtml::submitButton(ShoppingcartModule::t('Order'),array('class'=>'toCart')); ?>

    <?php /*
        AJAX

        echo CHtml::ajaxButton ("To order",
        Yii::app()->createUrl('shoppingcart/cart/toCart'),
        array('update' => '#itemList','type'=>'POST'),array('class'=>'toCart','type'=>'submit'));
        **/
    ?>

</div>

<?php $this->endWidget(); ?>

<script>
    var shoppingcart_alert = false;
    jQuery(function($){
        if(shoppingcart_alert) return;
        shoppingcart_alert = true;

        var id = window.location.hash;
        if(id != ''){
            item = $(id);
            message = $(item).find('.alert');
            $(message).show().delay(2000).fadeOut(1500);
        }
    });

</script>
